\documentclass[12pt]{article}

\usepackage{sbc-template}

\usepackage{graphicx,url}

%\usepackage[brazil]{babel}   
\usepackage[latin1]{inputenc}  

\sloppy

\title{Data Analysis and Visualization of Procedures \\ in Brazilian Public Health System}

%\title{Spatial distribution of procedures \\ in Brazilian Public Health System}

\author{D\'ebora Lina do Nascimento Ciriaco Pereira\inst{1}, Fabio Kon\inst{1}, Lucas Albuquerque \\Medeiros de Moura\inst{1}, Lucas Kanashiro\inst{1}, Mac\'artur de Sousa Carvalho\inst{1}, \\ Rosangela de F\'atima Pereira Marquesone\inst{2}}


\address{Instituto de Matem\'atica e Estat\'istica -- Universidade de S\~ao Paulo
  (IME-USP)\\
  S\~ao Paulo -- SP -- Brasil 
\nextinstitute
  Escola Polit\'ecnica -- Universidade de S\~ao Paulo (POLI-USP)\\
  S\~ao Paulo -- SP -- Brasil
  \email{\{dciriaco,fabio.kon,lmoura,lkd,macartur\}@ime.usp.br, rpereira@larc.usp.br}
}

\begin{document} 

\maketitle
%For papers in English, you should add just an abstract while for the papers in Portuguese, we also ask for an abstract in Portuguese (“resumo”).
%10 lines!
\begin{abstract}
  Despite the gain in availability of public data, it is necessary to think how to present them, in order to empower managers for a better decision-making process. In healthcare, smart health concept proposes the use of data, sensors and digital technologies to obtain new insights. 
This paper proposes a data analysis and visualization solution and a case study referring to procedures performed in public hospitals in S\~ao Paulo city. Through a geo-referenced view, we present information that helps to understand the distribution of procedures, identifying issues such as the number of procedures performed and how far patients live from the places where they were attended.
%The same study can be applied in other governmental instances, both for SUS and for supplementary health.
 We present the details of the architecture used for the analysis, and perceptions obtained from it.
\end{abstract}
     
%\begin{resumo} 
  
%  Apesar do ganho no avan\c{c}o na disponibiliza\c{c}\~ao de dados p\'ublicos, percebe-se ainda a necessidade da significa\c{c}\~ao dos mesmos, tanto para comunidades, quanto para gestores, a fim de empoder\'a-los para um melhor processo decis\'orio. Na \'area da sa\'ude, um dos conceitos que objetiva auxiliar nesse contexto \'e o de smart health, propondo a utiliza\c{c}\~ao de dados, sensores e tecnologias digitais para a obten\c{c}\~ao de melhores mec\^anismos em sa\'ude.
%  Nesse contexto, este artigo prop\~oe uma solu\c{c}\~ao de an\'alise e visualiza\c{c}\~ao de dados referentes aos procedimentos realizados em hospitais p\'ublicos da cidade de S\~ao Paulo. Por meio de uma vis\~ao georreferenciada, apresentamos em um mapa informa\c{c}\~oes que ajudam a compreender a distribui\c{c}\~ao dos procedimentos realizados pelos hospitais p\'ublicos, identificando quest\~oes como a quantidade de procedimentos realizados e quais atendimentos s\~ao oriundos de pacientes que moram  distantes dos locais em que foram atendidos.
%  N\'os apresentamos um estudo de caso com os dados da cidade de S\~ao Paulo. O mesmo estudo pode ser aplicado nas demais inst\^ancias governamentais, tanto para o SUS quanto para a sa\'ude suplementar.
%  N\'os apresentamos os detalhes da arquitetura e do banco de dados utilizado para a an\'alise, bem como as percep\c{c}\~oes obtidas a partir dela.
%\end{resumo}


\section{Introduction}\label{sec:intro}

%%%%%%%Motivation 
%(the benefits of smart cities and smart health for citizens)
%(problems occurred on public health in Brazil) 

In recent years, the growth of cities has been creating the need of innovative solutions to solve urban problems. For example, cities have been facing social and economical challenges regarding population growth, pollution, traffic congestions, crime, traffic accidents, and the rising of new virus~\cite{aoun2013smart}.
Aiming to provide solutions that allows these cities to become a better place to live, optimizing the use of their resources and infrastructure in a sustainable way, there is a tendency of the cities to become smart cities~\cite{koncidades}.

Considered as a complement of initiatives related to mobile health (m-health) within smart cities,  smart health (s-health) emerged as a concept that aims to improve healthcare services, contributing to a healthier society~\cite{solanas2014smart}.
These terms, together with electronic health (e-health), are considered starting points that comprises increases amount of data generated from sensors and mobile devices, the increase of processing power, storage capacity, and the adoption of information and communication technologies (ICT)~\cite{yang2013smart, pfeiffer2015spatial}.
As stated by Al Nuaimi et al.~\cite{al2015applications}, these initiatives allow healthcare providers and government agencies to gather, analyze, and utilize patient information, allowing to better understand their needs.
In addition, the evolution of digital technologies has also provided significant advances regarding data analysis and data visualization.
Currently, these approaches play a crucial role in decision making on public health initiatives.

%%%%%%%Problem 
%(the need of insights to government decision making on public health centers)
%(identifying how citizens use public health centers)
Regarding the public health scenario in Brazil, a critical problem is the  management from the Brazilian Unified Health System (\textit{Sistema \'Unico de Sa\'ude - SUS}) to attend more than 200 million people properly.
This system is based on principles of universal health care coverage, but it faces problems in finance and quality of services produced, requiring strategies focused on overcome the fragmentation of care, seek improvements in management, production and quality of health actions, as well as human resources allocation.
In the city of S\~ao Paulo, for example, an existing challenge is related to regional inequality in public hospitals, with deficits for specific specialties, resulting in health centers with repressed demand or inadequate time to meet existing needs~\cite{RFCMS18597}.

To increase the efficiency of public health system in Brazil, it is crucial for managers of the public health sector to know the general health trends of the population and the quality of the services available to them.
In fact, the collection, analysis, and communication of public health data is currently considered the most important public health service to obtain an effective  management~\cite{revere2007understanding}.
In this context, there are initiatives from the governments to generate and share large amounts of data related to health centers and patients. 
This approach allows uncovering insights about the public health centers, as well as help understanding and improving these public services in Brazil~\cite{dadosab}.
However, to achieve such goals, it is mandatory the execution of accurate data mining techniques and data visualization~\cite{lavravc2007data}.


%%%%%%%Proposal 
%(georeferenced visualization of health centers and procedures)
In this paper, we propose a data analysis and visualization of the distribution of procedures in Brazilian public health centers. 
Data visualization is considered an effectively approach in decision-making process, since it allows to accelerate the recognition of patterns, by encoding data into visual representations~\cite{sedig2014challenge}.
Our solution provides an interactive visualization by using charts and maps, so that decision makers and public health authorities can improve their insights regarding public health. 
%%%%%%%Contributions
The contributions of the paper are two-fold. First, we present the design and architecture details of Smart Health, describing how each component were used in our solution. 
Second, we present the results, findings and a discussion from a case study covering the city of S\~ao Palo, for procedures attended in health centers linked to SUS. 

%%%%%%%Research question: 
The case study was guided by the following research questions:

\begin{enumerate}

\item \textit{"Where do patients who are cared for at a public health center live?"} Here, we want to identify the distance for patients to move from their home to the health center.

\item \textit{"How long does it take them to get here?"} In this question, the goal is to identify the time spent for patients to reach the health center, identifying the need of public transportation in these routes or a better distribution of health centers in certain regions.

\item \textit{"What are the specialties most needed by this population?"} The objective of this question is to identify the specialties offered by health centers, and which ones contain a greater demand for care by the population. This information may help in identifying the need to increase professionals or institutions that perform such specialties in a such place.

\end{enumerate}

%Paper outline
The remainder of the paper is organized as follows.
Section \ref{sec:litrev} begins by laying out the literature review of the research, presenting related works and a brief overview of the public health data, specifically in Brazil.
Section \ref{sec:solution} presents the architecture design, features implemented and the database details of our solution.
A discussion and findings of the research are presented in Section \ref{sec:results}.
Finally, Section \ref{sec:conclusion}  points out our conclusions and future work.



\section{Literature Review}\label{sec:litrev}

%Smart health
%Smart City
%Georeferenced solutions
%ConectaSUS - http://www.conectasus.go.gov.br/ 
%GeoSampa - http://geosampa.prefeitura.sp.gov.br/PaginasPublicas/_SBC.aspx 
%Georreferenciamento de dados de saúde na escala submunicipal: algumas experiências no Brasil - http://scielo.iec.pa.gov.br/pdf/ess/v17n1/v17n1a06.pdf

%Smart health
Smart health is a term that has been gaining special attention, providing cost-effective healthcare facilities in the smart cities field.
In \cite{yang2013smart}, the authors proposed three mains tracks applied in the smart health context: systems, analytics and human factors. The first track relies on technical approaches, such as system architecture, frameworks and applications used for smart health. The second track is related to the use of data processing, data mining and analytics used to uncover insights and knowledge discovery. Finally, the third track focuses on issues related to interface design, context and user experience.

The applicability of analytics in smart health initiatives has been received significant attention,  due to the increase interest in concepts such as Big Data and data mining.
In summary, Big Data is a concept used to describe the large volume and variety of data, that requires innovative and cost-effective techniques and technologies to be manipulated accordingly, allowing to enhance the gain of insights and decision making~\cite{chen2014big, gandomi2015beyond}.

Since our solution mainly remains on the analytics track, in this section we present a literature review of solutions proposed in this context.
Subsection \ref{sec:apps} describe initiatives for smart health that uses analytics and data visualization approaches, and Subsection \ref{sec:pub-data} provides detailed information about the background and terminologies regarding public health data.

\subsection{Smart Health Applications}\label{sec:apps}

%Geo
There are significant initiatives around the world regarding data analytics and decision-support systems in the smart health context. 
One example is HealthMap\footnote{http://www.healthmap.org/} \cite{brownstein2007healthmap}, a Web site and mobile app that provide globally disease outbreak monitoring and real-time surveillance of emerging public health threats, delivering insights regarding a broad range of emerging infectious diseases, such as Zika, Dengue and Chikungunya virus.

MediMap project~\cite{lavravc2007data} is another example, with the proposal of using descriptive data mining and data visualization methods to improve the knowledge and decision making of public health centers.
This application was applied at the Public Health Institute of the Celje, in Slovenia.
A notorious implemented feature is a map visualization of the areas of Slovenia with health centers with low accessibility, providing information for decision makers regarding the access to primary health services and the need for additional health centers.

VistaPHw~\cite{solet2006innovations} is also a project applied to public health decision making. It consists of a Web-based data query system that offers access to population-based data used in community health assessment in Washington state.
It uses a concept called dynamic grouping, which allows to create user-based data aggregations by different attributes, e.g. areas, age and race, then providing insights used in program planning for governments and communities.

The first Brazilian government initiative for tabulation, visualization and georeferencing of public health data remotes from 1997, with the TabWin software (for Windows), and a Web version, TabNet\footnote{http://www2.datasus.gov.br/DATASUS/index.php?area=02}, both still in use. The solution was designed to process the tabulated data published by the Brazilian Ministry of Health, with focus on facilitate the calculation of health indicators \cite{tabwin}. Although it was thought to aid health decision making and facilitate data understanding, the system provides little insights and little investment in data visualization.

The S\~ao Paulo City Public Health Secretariat has a study group of geoprocessing management and socioenvironmental information ~\cite{ceinfo}. The work carried out is focused on the georeferenced analysis of the research questions requested by local managers, such as the coverage area of the health posts ~\cite{ubs} and the early deaths due to chronic diseases.

A modern initiative in the Brazilian government is the Zilda Arns Neumann Center for Strategic Information and Decision-Making in Health - Conecta SUS\footnote{http://www.conectasus.go.gov.br/}~\cite{concecta}. 
This tool was conceived by the State Department of Health of Goi\'as, and it uses concepts such as business intelligence, data warehouse and data visualization to provide real-time information and historical analysis, contributing to public health managers making data-driven decision making.
One of the features provided is the mapping and georeferencing of the city blocks and the real-time monitoring of the actions towards reducing the number of Dengue virus.
The Health Map is another feature, which analyzes approximately 180 georeferenced indicators related to public health.

\subsection{Public Health Data}\label{sec:pub-data}

Despite the former availability of public databases (there have been public health databases since 1992) and the growing demand for analyzing them, the task of generating health insights remains challenging~\cite{datasusSIS, sedig2014challenge}. In part, this is due to the expert-centered distribution of knowledge. Thus, the need to work together with the specialist in order to understand not only the data attributes, but the context in which they are.
We present as follows details about how public health data are organized and managed in Brazil.

\subsubsection{Brazilian Unified Health System`s Organization}\label{sec:sus}

In response to the Brazilian Constitution (granted in 1988), in 1990 the SUS, the unified health system, was established through 8080/90 - Organic Health Law ~\cite{leiorganica}. The current health system is managed by the three autonomous spheres of government (Federal, State and Municipal), by the same doctrine and organizational principles. Thus, these three spheres work together to ensure the provision of services, with cities having the greatest responsibility for promoting health actions directly at their citizens ~\cite{abcSUS}.

SUS has a doctrine full, equitable and free access to health services to all citizens of the Brazilian territory. The main responsibilities of SUS organization are, among other things, the hierarchical, regional and decentralized provision of the health services. Therefore, the gateway into the system occurs, with rare exceptions, by the basic attention (medical appointment and routine exams, among other procedures). From a health unit of lower technological complexity, the patient who needs more complex care (e.g. hospital admissions and surgeries) is referred to other health center. Ideally, the referral will occur to another health center in the same region, and closer to the patient's place of residence~\cite{oqueeoSUS}.

\subsubsection{Brazilian Health Information Systems}\label{sec:sis}
There are at least 11 information systems created by the Ministry of Health and administered by the Department of Informatics of SUS (\textit{Departamento de Inform\'atica do SUS - DATASUS}) and by the Department of Health Care. They contain data related to hospital admissions, procedures, births, mortality, and other health indicators. These information system were conceived with the purpose of quantifying and controlling expenses on health services. Due to the administrative/financial nature of these databases, they do not aim at patient health records, but at the procedures performed at the health centers. This makes it difficult to analyze the patients' flow and to quantify them at a national level ~\cite{sisg}. Therefore, it is necessary to use other databases to perform patient studies, complementary to those provided by DATASUS. These databases are managed by hospitals or municipal secretariats, when one has an electronic health record system.

In order to model the variables used in public health databases, as well as to expand the interoperability among information systems, the Ministry of Health has been working on adopt and create standard terminologies and national registries. Therefore, in our study case it was necessary to be aware of the following terminologies and systems:

\begin{itemize}

\item CNES: in the National Registry of Health Centers (\textit{Cadastro Nacional de Estabelecimentos de Sa\'ude - CNES}) it is possible to obtain information of health centers, such as number of beds, size classification, maintenance institution, among others. There are 9 classes related to the size of health establishments. These information helps to make comparison between health establishments capacity and understanding the role of each establishment for the citizens ~\cite{sisg}.

\item SIGTAP: the System of Georeferencing of the Table of Procedures, Medications, Orthotics, Prostheses and Special Materials of the SUS (\textit{Sistema de Georreferenciamento da Tabela de Procedimentos, Medicamentos, \'Orteses, Pr\'oteses e Materiais Especiais do SUS - SIGTAP}) is a tool for querying procedures that can be performed in the outpatient and hospital scope within the SUS. The codification of the procedures is composed of 10 digits, matching the first two pairs of digits to the group and subgroup of the procedure. With such information, it is possible to know which health specialty the procedure refers to~\cite{sigtap}.

\item Census region: it is the smallest numbered unit area, consisted of a territorial unit for the collection of census operations, defined by the Brazilian Institute of Geography and Statistics (IBGE)~\cite{census}. The census region allows us to identify the area near the location of a patient's residence or health center.

\end {itemize}

\section{Proposed Solution}\label{sec:solution}

In this section we describe the general structure of our solution, by providing information about the architecture design, the database used and the implemented features.

The main objectives of our solution are described as follows.

\begin{itemize}

\item The design and implementation of a Web-based visualization interface, allowing to display the location of health centers in a map.

\item Display metrics about the average distance patients needs to travel in order to receive a certain kind of treatment.

\item Display charts showing the relation between a procedure type and the average travel time a patient needs to reach a certain type of health center to be treated for that kind of procedure. The main intention behind this is to better understand which type of health centers are dealing with each procedure type and understand if some health centers are being overwhelmed by certain procedures types.

\item Display a filter for each health center to allow the visualization of procedures of just a certain type. Also, when this filter is applied, display also other health center that could handle that procedure as well, in order to better visualize if cluster of patients could be attended by a neared health center.

\item The design and implementation of a dashboard that provides analytic results in the format of charts, related to procedures covered by a health center. These analytics may present additional insights that will help to understand the patterns obtained from the data.

\end{itemize}

\subsection{System Architecture}\label{subsec:arch}
%(Description of the database, the platform, the MVC and the application)

Figure \ref{fig:arch} depicts the architecture of our solution. 
Our main component is the Web interface, used to display the data analysis and visualization.
We used Ruby on Rails~\cite{bachle2007ruby} framework to implement the solution.
It consists of an open-source framework focused on increase developer productivity and reduce entry barriers to programming Web applications.
It also allows to apply the model-view-controller (MVC) design pattern~\cite{lindberg2001model}, providing flexibility, ease of writing and maintaining code.

\begin{figure}[ht]
\centering
\includegraphics[width=0.58\textwidth]{figs/arch.pdf}
\caption{Smart Health Architecture}
\label{fig:arch}
\end{figure}

The use of interactive digital maps has been helping data analysts and data scientist to create simple and dynamic visualization from batch or real-time data~\cite{segel2010narrative}. 
Examples include Google Maps\footnote{https://www.google.com.br/maps} and OpenStreetMap\footnote{http://www.openstreetmap.org/}, that have been enabling the creation of numerous visualization services from their public API (Application Programming Interface). 
Our solution uses Google Maps API to display a map visualization of procedures in Brazilian public health centers, while providing interactive data exploration through zooming, cluster aggregation, point-and-click, and dragging operations.

With respect to the analytics dashboard, we implemented the charts by using the Google Charts API\footnote{https://developers.google.com/chart/}, allowing us creating interactive visualizations by different types of charts, e.g., bar charts and pie charts.
We also used JavaScript library to control the user interaction with the Web application. 
The details of the database level are presented as follows.



\subsection{Database}\label{subsec:database}

The data used in this study was obtained from the S\~ao Paulo City Public Health Secretariat, which corresponds to hospital admissions covered by the SUS, which occurred in the city of S\~ao Paulo, during the years of 2014 and 2015. 
We have collected information from 97 health centers, with a total of 551,423 procedures covered by them. 

%Figure \ref{fig:flow} presents the data analysis process we have applied.
The data set consisted of two databases: health centers and procedures.
The first one contains attributes related to health centers, such as the CNES, latitude and longitude coordinates, the amount of beds, and the size classification.
The second source is related to the procedures applied on each health center, containing information about the procedure type, specialty, and latitude and longitude of a patient census regions' home.

%\begin{figure}[h]
%\centering
%\includegraphics[width=0.4\textwidth]{figs/flow1.pdf}
%\caption{Data analysis process}
%\label{fig:flow}
%\end{figure}

The following approaches were applied for both databases:

\begin{itemize}
\item \textit{Data cleaning}: in this phase we removed inconsistent data on the procedures database. The main inconsistence identified was procedures related to inexistent type of procedures, and to an inexistent health center identification.

\item \textit{Data modeling}: after the data cleaning phase, we have modeling the databases by selecting the relevant attributes for both health center and procedures information, required in our analysis. 

\item \textit{Data analysis}: this phase was applied with focus on creating the relationships between the health center and procedures instances, and also on querying the data to extract valuable information.  

\item \textit{Data visualization}: lastly, in this phase we have implemented the map visualization to display the location of the health centers, the distance traveled by patients from home to be the place it receives the treatment, and a dashboard to show additional analysis for each health center.

\end{itemize}

It is worth mentioning that, although the scope of this case study specifically covers only the data from S\~ao Paulo city, the solution was designed to support data from additional governmental institutions, either for SUS or supplementary health agencies. 


\subsection{Features}\label{sub:features} % (insert screenshots)
%The main features provided by the application are the following ones:
%View health centres from Google Maps API
%View procedures for each health centre (distance by car)
%Filters (by procedure, health centre, others)
%Analytics

The first feature provided is a map visualization showing the location of all health centers collected from the database. Figure \ref{fig:home} illustrates this visualization. Each marker corresponds to a health center.
Additionally, it is also presented a summary of all procedures performed by health centers.
Complementing this visualization, there are some additional information as well. The first one is a pie chart stating the percentage of patients residing at 1km, between 1 and 5km, between 5 and 10km and more than 10km. On the right bottom of the screen, there is also a number indicating how many procedures could have been performed in a nearer health center. Finally, in the left bottom of the screen there is a chart indicating for each procedure type, the overall distance traveled by patients for the type of procedure.

\begin{figure}[h]
\centering
\includegraphics[width=1\textwidth]{figs/home3.jpg}
\caption{Visualization of the health centers' locations}
\label{fig:home}
\end{figure}

Given that it is not known how far the patient attending a given health center resides, we designed a visualization with health centers linked to SUS on the map of the city of S\~ao Paulo.
As depicted in Figure \ref{fig:cluster}, when selecting a health center, it is possible to see on the map, the census region of the patients attend. 
It was decided to build a diameter delimiter, with 1, 5 and 10 km distance from the epicenter, which is the health facility studied. 

\begin{figure}[h]
\centering
\includegraphics[width=1\textwidth]{figs/cluster1.png}
\caption{Visualization of procedures by distance in SmartHealth solution}
\label{fig:cluster}
\end{figure}

\begin{figure}[h!]
\centering
\includegraphics[width=1\textwidth]{figs/analytics3.jpg}
\caption{SmartHealth Dashboard - Average distance}
\label{fig:analytics}
\end{figure}

An additional feature implemented was a dashboard containing analysis in the format of graphs. An example is presented in Figure \ref{fig:analytics}. This dashboard provides information regarding the type of procedures that can be performed on health center and displays the average amount of time a patient travels to a health center with a certain kind to be attended on. 

As presented in Figure \ref{fig:dadosgerais}, the dashboard also presents a table with a ranking of the 10 hospitals responsible for the largest number of procedures, in descending order.
Additionally, a graph is presented in the right side of the screen, by showing the number of procedures over time.

\begin{figure}[h]
\centering
\includegraphics[width=1\textwidth]{figs/dadosgerais2.jpg}
\caption{SmartHealth Dashboard - Ranking of hospitals by the number of procedures}
\label{fig:dadosgerais}
\end{figure}

Another information displayed in the dashboard is a summary of the health center's procedures. Figure \ref{fig:dash-esp} depicts one example. In the dataset used in this research, there are a total of 9 procedure types. A pie chart shows the distribution of procedures throughout all health centers. Additionally, in the left side of the screen, an horizontal bar chart displays the average distance of procedures by specialty type. In the right side of the screen displays, another horizontal bar chart shows the average travel time for performing procedures by specialty type.

\begin{figure}[h]
\centering
\includegraphics[width=0.7\textwidth]{figs/especialidades1.png}
\caption{SmartHealth Dashboard - Procedures by specialties}
\label{fig:dash-esp}
\end{figure}

Another feature developed the visualization of health center's procedures by their type. Some health centers can attend all of these procedures, but some cannot. Also, when this filter is applied, other health centers that can attend the same type of procedure are also displayed on the map. The main reasoning behind this approach is to better visualize if the procedures showed on the screen could have been performed on nearer health centers. 
As presented in Figure \ref{fig:filter}, it was selected a health center displaying only the psychiatric procedures. Also, any other health center that could also be used to treat this kind of procedure is also displayed on the map, with the intention of better understand if there are some patients that are traveling a long distance to be treated when they could be treated in a nearby health center.

\begin{figure}[h]
\centering
\includegraphics[width=1\textwidth]{figs/filter2.png}
\caption{Example of filter applied to a health center}
\label{fig:filter}
\end{figure}

Our main focus with the data analysis and visualization described in these features was to provide an analytical dashboard for public health managers, so they can easily be supported with information such as the accessibility of patients to the health centers, and the need of additional professionals to attend specific procedures. In the next section we present a discussion on the insights obtained from our analysis.

\section{Results and Discussion}\label{sec:results}

Based on the data we have collected in this research and from the charts and metrics generated from around a half million procedures, we have analyzed that 443,173 procedures could have been attended in a closer health center. Also, from the metrics collected for the data we have used, it was possible to analyze that the most common procedures are the ones related with surgeries and normal medical appointments. However, these normal medical appointments are also the procedures that patients travel the most distance in average. This could possible indicate that patients are not going to the nearer health centers for this kind of procedure.

It could also be perceived from the metrics that the procedures where most users come from distant locations are the ones related with rehabilitation treatment. About 58\% of the patients need to travel more than 10 kilometers in order to be treated for that problem. Finally, our analysis also perceived that for obstetrical procedures, patients tend to travel less than 5 kilometers.

One future improvement that can still be done is about the distance metrics used in the research. Most of the distance related to metrics are done by calculating the distance between two points in the map, using their latitude and longitude. Using this absolute distance may not be the best approach for a metric. For example, two points may be closer in absolute distance, but the actual time in traffic needed to get from one point to another may favor a far away point, but with less traffic. Although this would be the ideal analysis to be made, getting the time between places requires uses of external APIs, such as the Google Distance Matrix. This API can be used to determine the travel distance time from two points using a car or even public transport. Although providing this system, the API has some drawbacks. The first one is that it limits the number of queries that can be made per day. Second, the public transport information is only provided by using the paid version of the API. Therefore, for metrics with more solid results, using Google Distance Matrix API is required, but there is also the need to deal with the drawbacks presented.

Another work that could also be done is talk with the institution responsible for generating and handling the data used in the research, to allow a better filter on the data used. For example, we have observed in this research that there are some procedures with the same latitude and longitude as the health center that provided that treatment. We believe that this kind of data should be filtered out of the database, but without the guidance of an specialist on that matter, filtering the data could not be beneficial.
 

\section{Conclusion }\label{sec:conclusion}

The Brazilian public health data organized by SUS contains large amount of data that can be used to extract valuable information for smart health initiatives.
However, data analysis and data visualization techniques are mandatory to improving decision support systems from the public data available, helping health public managers to obtain insights from a data-driven perspective.
                            %definir um nome para a solução%
In this context, this paper described the development of SmartHealth, a spatial data analysis and visualization of procedures in Brazilian public health center, aiming to provide an useful tool for decision making in planning of the public health system in Brazil.

The results from the case study have helped to identify some patterns and indicators. 
One of the most interesting finding was that a large number of procedures, 443,173 to be precisely, could have been attended in a closer health center. In addition, patients that need rehabilitation treatment were the ones that have to travel a larger distance. Although our experiment can be improved, these numbers indicates the need of a better organization of the health center locations, as well as the need of more health centers that covers some types of treatment.

As future work, we are planning to extend the data source, by analyzing additional procedures and a larger data interval. We are also currently studying more metrics that could better inform why patients are not going to nearby health centers, while also using the actual traffic time to reach a health center, and not only the absolute distance, in order to make the metrics generated in this research more solid.

\section*{Acknowledgement}
We would like to thank the S\~ao Paulo City Health Secretariat for having shared with us the databases used in this research.


\bibliographystyle{sbc}
\bibliography{sbc-template}

\end{document}
